Cyberduck Mountain Duck CLI

#1710 closed defect (fixed)

Crash in NSMutableArray_addObject during transfer

Reported by: kako21@… Owned by: dkocher
Priority: normal Milestone: 3.0
Component: core Version: 2.8.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

hread 20 Crashed:
0   com.apple.CoreFoundation  	0x908109c6 _CFArrayReplaceValues + 2533
1   com.apple.CoreFoundation  	0x9080ffd9 CFArrayAppendValue + 151
2   libFoundationJava.B.dylib 	0x968b3e8c Java_com_apple_cocoa_foundation_NSMutableArray_addObject + 101
3   <<00000000>> 	0x04d90281 0 + 81330817
4   <<00000000>> 	0x04d8a9d3 0 + 81308115
5   <<00000000>> 	0x04d8a9d3 0 + 81308115
6   <<00000000>> 	0x04d8a9d3 0 + 81308115
7   <<00000000>> 	0x04d8a9d3 0 + 81308115
8   <<00000000>> 	0x04d8a9d3 0 + 81308115
9   <<00000000>> 	0x04d8a9d3 0 + 81308115
10  <<00000000>> 	0x04d8a9d3 0 + 81308115
11  <<00000000>> 	0x04d8821f 0 + 81297951
12  libjvm.dylib              	0x9af90f8a jio_snprintf + 396118
13  libjvm.dylib              	0x9af9d667 JVM_StartThread + 2397
14  libjvm.dylib              	0x9af9d579 JVM_StartThread + 2159
15  libjvm.dylib              	0x9af9d4bd JVM_StartThread + 1971
16  libjvm.dylib              	0x9af9d3e1 JVM_StartThread + 1751
17  libjvm.dylib              	0x9af2854b JNI_CreateJavaVM_Impl + 52525
18  libSystem.B.dylib         	0x90024227 _pthread_body + 84

Attachments (1)

Crash cyberduck.rtf (36.5 KB) - added by kako21@… on Jan 28, 2008 at 2:00:08 PM.

Download all attachments as: .zip

Change History (3)

Changed on Jan 28, 2008 at 2:00:08 PM by kako21@…

comment:1 Changed on Jan 29, 2008 at 9:11:37 PM by dkocher

  • Description modified (diff)
  • Status changed from new to assigned
  • Summary changed from crash to Crash in NSMutableArray_addObject during transfer
  • Version changed from 2.8.3 to 2.8.4

comment:2 Changed on Feb 25, 2008 at 9:51:08 PM by dkocher

  • Milestone set to 2.9
  • Resolution set to fixed
  • Status changed from assigned to closed

In r3502.

Note: See TracTickets for help on using tickets.
swiss made software